Skip to main content
GET
Get Dataset Skill

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

skill_id
string
required

Query Parameters

dataset_id
string<uuid>
required

Dataset UUID the skill belongs to.

Response

Successful Response

A single skill including its full procedure body.

id
string
required

Stable skill identifier.

name
string
required

Skill name.

description
string
default:""

Short summary for routing.

maintainer
string
default:""

Publishing company / team that maintains the skill.

maintainer_url
string
default:""

Maintainer homepage or repo URL.

version
string
default:""

Skill version string.

tags
string[]

Free-form category tags.

license
string
default:""

License identifier.

declared_tools
string[]

Tools the skill is allowed to use.

dataset_scope
string[]

Dataset UUIDs this skill is scoped to.

is_active
boolean
default:true

Whether the skill is active for routing.

source_repo_url
string
default:""

Source repository URL, when known.

source_dir
string
default:""

On-disk source directory.

procedure
string
default:""

The full skill instruction body.